// Program written by Iman Mukherjee (as part of NMEICT, FOSSEE project, IITBombay)

// Sound difference in filtered sound

t = 0:0.001:4;
signal = sin(2*%pi*5*t);
noise = sin(2*%pi*50*t);
compound = signal + noise;

playsnd(compound);

myfilter = iir(15,'lp','butt',[0.025 0],[0 0]); // butt, cheb1/2, ellip

output = flts(compound,myfilter);

halt('Press Enter');

playsnd(output);

xsetech([0,0,1,1/2]);
plot2d(t,compound);
xtitle('input signal');
xsetech([0,1/2,1,1/2]);
plot2d(t,output);
xtitle('output signal');